Subject: [secdir] Secdir last call review of draft-ietf-curdle-ssh-ed25519-ed448-07

From: Catherine Meadows <[email-masked]>
Date: Fri, 28 Dec 2018 09:35:34 -0800

Reviewer: Catherine Meadows
Review result: Has Nits

This draft specifies the use of the digital signature algorithms Ed25519 and
Ed448 in the SSH protocol.  Most of this,  except for syntactic features such
as formats and names, can be found in other RFC’s, and the appropriate
references are given.  The Security Considerations are also given by reference
to RFC4241 (security considerations for SSH) and RFC8032 and RFC7479 (for
Ed25519 and Ed448).  These security considerations sections are very thorough
and I don’t see any need for any additions.

A nit:
The paragraph

This document describes the method implemented by OpenSSH and others,
 and formalizes its use of the name "ssh-ed25519". Additionally, it
 also describes the use of Ed448 and formalizes its use of the name
 "ssh-ed448".

Would be clearer as

This document describes the Ed25519 method implemented by OpenSSH and others,
 and formalizes its use of the name "ssh-ed25519". Additionally, it
 also describes the use of Ed448 and formalizes its use of the name
 "ssh-ed448”.

---

From: Daniel Migault <[email-masked]>
Date: Mon, 31 Dec 2018 14:36:58 +0000

Thanks for the clarification Catherine.

Yours, 
Daniel

-----Original Message-----
From: Catherine Meadows <[email-masked]> 
Sent: Friday, December 28, 2018 12:36 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Secdir last call review of draft-ietf-curdle-ssh-ed25519-ed448-07

This draft specifies the use of the digital signature algorithms Ed25519 and
Ed448 in the SSH protocol.  Most of this,  except for syntactic features such as formats and names, can be found in other RFC’s, and the appropriate references are given.  The Security Considerations are also given by reference to RFC4241 (security considerations for SSH) and RFC8032 and RFC7479 (for
Ed25519 and Ed448).  These security considerations sections are very thorough and I don’t see any need for any additions.

A nit:
The paragraph

This document describes the method implemented by OpenSSH and others,  and formalizes its use of the name "ssh-ed25519". Additionally, it  also describes the use of Ed448 and formalizes its use of the name  "ssh-ed448".

Would be clearer as

This document describes the Ed25519 method implemented by OpenSSH and others,  and formalizes its use of the name "ssh-ed25519". Additionally, it  also describes the use of Ed448 and formalizes its use of the name  "ssh-ed448”.